    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.io.StringBufferInputStream

    java.lang.Object
       |
       +----java.io.InputStream
               |
               +----java.io.StringBufferInputStream

public class StringBufferInputStream
extends InputStream

Note: StringBufferInputStream is deprecated. This class does not properly convert characters into bytes. As of JDK 1.1, the preferred way to create a stream from a string is via the `StringReader` class.

This class allows an application to create an input stream in which the bytes read are supplied by the contents of a string. Applications can also read bytes from a byte array by using a `ByteArrayInputStream`.

Only the low eight bits of each character in the string are used by this class.

See Also:
  ByteArrayInputStream, StringReader

##

buffer
  The string from which bytes are read.
count
  The number of valid characters in the input stream buffer.
pos
  The index of the next character to read from the input stream buffer.

##

StringBufferInputStream(String)
  Creates a string input stream to read data from the specified string.

##

available()
  Returns the number of bytes that can be read from the input stream without blocking.
read()
  Reads the next byte of data from this input stream.
read(byte[], int, int)
  Reads up to `len` bytes of data from this input stream into an array of bytes.
reset()
  Resets the input stream to begin reading from the first character of this input stream's underlying buffer.
skip(long)
  Skips `n` bytes of input from this input stream.

##

buffer

     protected String buffer

  The string from which bytes are read.

pos

     protected int pos

  The index of the next character to read from the input stream buffer.

  See Also:
    buffer

count

     protected int count

  The number of valid characters in the input stream buffer.

  See Also:
    buffer

##

StringBufferInputStream

     public StringBufferInputStream(String s)

  Creates a string input stream to read data from the specified string.

  Parameters:
    s - the underlying input buffer.

##

read

     public synchronized int read()

  Reads the next byte of data from this input stream. The value byte is returned as an `int` in the range `0` to `255`. If no byte is available because the end of the stream has been reached, the value `-1` is returned.

  The `read` method of `StringBufferInputStream` cannot block. It returns the low eight bits of the next character in this input stream's buffer.

  Returns:
    the next byte of data, or `-1` if the end of the stream is reached.
  Overrides:
    read in class InputStream

read

     public synchronized int read(byte b[],
                                  int off,
                                  int len)

  Reads up to `len` bytes of data from this input stream into an array of bytes.

  The `read` method of `StringBufferInputStream` cannot block. It copies the low eight bits from the characters in this input stream's buffer into the byte array argument.

  Parameters:
    b - the buffer into which the data is read.
    off - the start offset of the data.
    len - the maximum number of bytes read.
  Returns:
    the total number of bytes read into the buffer, or `-1` if there is no more data because the end of the stream has been reached.
  Overrides:
    read in class InputStream

skip

     public synchronized long skip(long n)

  Skips `n` bytes of input from this input stream. Fewer bytes might be skipped if the end of the input stream is reached.

  Parameters:
    n - the number of bytes to be skipped.
  Returns:
    the actual number of bytes skipped.
  Overrides:
    skip in class InputStream

available

     public synchronized int available()

  Returns the number of bytes that can be read from the input stream without blocking.

  Returns:
    the value of `count - pos`, which is the number of bytes remaining to be read from the input buffer.
  Overrides:
    available in class InputStream

reset

     public synchronized void reset()

  Resets the input stream to begin reading from the first character of this input stream's underlying buffer.

  Overrides:
    reset in class InputStream

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.